#include "STM32.h"
#include "IO_Digital.h"

// На моей плате светодиоды здесь. Правьте в соответствии со схемой своей плыты
#define LED_GPIO  GPIOC
#define LED_PIN   GPIO_PIN_0

IO_Digital  Led(LED_GPIO, LED_PIN, Output, No_Pull);

int main(void)
{
  SystemClock_Config(Quartz_8);                   // Инициализируем тактовый генератор

  while(1)
  {
    Led.digitalWrite(High);                       // Устанавливаем выход в высокое состояние
    delay(500);
    Led.digitalWrite(Low);                        // Устанавливаем выход в низкое состояние
    delay(500);
    // Можно ещё так
    // Устанавливаем выход в противоположное состояние. Так как предыдущая команда установила его в "0",
    // эта команда переведёт его в противоположное состояние, т.е. "1"
    Led.digitalTogglePin();
    delay(200);
    // Устанавливаем выход в противоположное состояние. Так как предыдущая команда установила его в "1",
    // эта команда переведёт его в противоположное состояние, т.е. "0"
    Led.digitalTogglePin();
    delay(200);
  }
}

void Error_Handler(void)
{
  /* USER CODE BEGIN Error_Handler_Debug */
  /* User can add his own implementation to report the HAL error return state */
//  __disable_irq();
  while (1)
  {
  }
  /* USER CODE END Error_Handler_Debug */
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t *file, uint32_t line)
{
  /* USER CODE BEGIN 6 */
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
  /* USER CODE END 6 */
}
#endif /* USE_FULL_ASSERT */

